> For the complete documentation index, see [llms.txt](https://docs.fylr.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fylr.io/for-system-administrators/symptom-and-solution/too-many-nested-clauses.md).

# too many nested clauses

## Symptoms

* Frontend Error Dialog popups show something like: `too_many_nested_clauses Query contains too many nested clauses; maxClauseCount is set to 1024`
* This may appear e.g. directly after logging into the fylr webfrontend.
* This user cannot see records or pools that they should be allowed to see, according to rights management.

## Solution

* For the indexer (ElasticSearch or OpenSearch), allow more clauses per search.
* This can lead to performance degradations and memory issues.
* E.g. add to [docker-compose.yml](https://github.com/programmfabrik/fylr-gitbook/blob/main/_assets/docker-compose.yml) the one line about clauses: (default is 1024)

```
    environment:
      - indices.query.bool.max_clause_count=4096
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fylr.io/for-system-administrators/symptom-and-solution/too-many-nested-clauses.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
